ChangeSet 1.1587.12.24, 2004/04/29 16:03:26-07:00, eike-hotplug@sf-tec.de

[PATCH] PCI Hotplug skeleton: mark functions __init/__exit

Add __init and __exit to some functions only called from __init/__exit context.


 drivers/pci/hotplug/pcihp_skeleton.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)


diff -Nru a/drivers/pci/hotplug/pcihp_skeleton.c b/drivers/pci/hotplug/pcihp_skeleton.c
--- a/drivers/pci/hotplug/pcihp_skeleton.c	Mon May 17 17:04:21 2004
+++ b/drivers/pci/hotplug/pcihp_skeleton.c	Mon May 17 17:04:21 2004
@@ -236,16 +236,16 @@
 }
 
 #define SLOT_NAME_SIZE	10
-static void make_slot_name(struct slot *slot)
+static void __init make_slot_name(struct slot *slot)
 {
 	/*
 	 * Stupid way to make a filename out of the slot name.
 	 * replace this if your hardware provides a better way to name slots.
 	 */
-	snprintf (slot->hotplug_slot->name, SLOT_NAME_SIZE, "%d", slot->number);
+	snprintf(slot->hotplug_slot->name, SLOT_NAME_SIZE, "%d", slot->number);
 }
 
-static int init_slots(void)
+static int __init init_slots(void)
 {
 	struct slot *slot;
 	struct hotplug_slot *hotplug_slot;
@@ -324,7 +324,7 @@
 	return retval;
 }
 
-static void cleanup_slots(void)
+static void __exit cleanup_slots(void)
 {
 	struct list_head *tmp;
 	struct list_head *next;
